=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-09-14 18:03:11 +0000
+++ m4/pandora_canonical.m4	2009-09-16 18:20:25 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.58])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.59])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds

=== modified file 'm4/pandora_enable_dtrace.m4'
--- m4/pandora_enable_dtrace.m4	2009-07-08 07:09:13 +0000
+++ m4/pandora_enable_dtrace.m4	2009-09-16 18:20:25 +0000
@@ -17,6 +17,7 @@
     AC_CHECK_PROGS([DTRACE], [dtrace])
     AS_IF([test "x$ac_cv_prog_DTRACE" = "xdtrace"],[
       AC_DEFINE([HAVE_DTRACE], [1], [Enables DTRACE Support])
+      AC_MSG_CHECKING([if dtrace should instrument object files])
       dnl DTrace on MacOSX does not use -G option
       cat >conftest.d <<_ACEOF
 provider Example {
@@ -24,9 +25,10 @@
 };
 _ACEOF
       $DTRACE -G -o conftest.d.o -s conftest.d 2>/dev/zero
-      AS_IF([test $? -eq 0],[ac_cv_dtrace_needs_objects=yes])
+      AS_IF([test $? -eq 0],[ac_cv_dtrace_needs_objects=yes],
+            [ac_cv_dtrace_needs_objects=no])
       rm -f conftest.d.o conftest.d
-
+      AC_MSG_RESULT($ac_cv_dtrace_needs_objects)
       AC_SUBST(DTRACEFLAGS) dnl TODO: test for -G on OSX
       ac_cv_have_dtrace=yes
     ])])

